function [C,S,psi,theta] = ab2cs(Ac, Bc, debug_on)

Act = Ac;
Bct = Bc;
n = length(Bc(:));

if nargin < 3
    debug_on = 0;
end

for ii = n:-1:1
    psi(ii) = 2*atan(abs(Bct(1))/abs(Act(1)));
    theta(ii) = angle(1i*Bct(1)/Act(1));
    C(ii) = cos(psi(ii)/2);
    S(ii) = -1i*exp(1i*theta(ii))*sin(psi(ii)/2);
    Actt = conj(C(ii))*Act+conj(S(ii))*Bct;
    Bctt = -S(ii)*Act + C(ii)*Bct;
    Act = Actt(1:end-1);
    Bct = Bctt(2:end);
    if debug_on > 0
        [ii,abs(Actt(end)),abs(Bctt(1))]
    end
end