function [rf,C,S] = ab2rf(Ac, Bc, gammabar, dt)

Act = Ac;
Bct = Bc;
n = length(Bc(:));

debug_on = 0;

for ii = n:-1:1
    psi = 2*atan(abs(Bct(1))/abs(Act(1)));
    theta = angle(1i*Bct(1)/Act(1));
    rf(ii) = -psi/(2*pi*gammabar*dt)*exp(1i*theta);
    C(ii) = cos(2*pi*gammabar*dt*abs(rf(ii))/2);
    S(ii) = 1i*exp(1i*angle(rf(ii)))*sin(2*pi*gammabar*dt*abs(rf(ii))/2);
    Actt = conj(C(ii))*Act+conj(S(ii))*Bct;
    Bctt = -S(ii)*Act + C(ii)*Bct;
    
    % some test
    if debug_on == 1
        Actt = C(ii)*Act+conj(S(ii))*Bct;
        Bctt = -conj(S(ii))*Act + C(ii)*Bct;
%         abs(Actt(end)),abs(Bctt(1)),
        real(S(ii)), imag(S(ii))
    end
    
    Act = Actt(1:end-1);
    Bct = Bctt(2:end);
end
