function [b,a,aPh] = bc2ab(Bc,Ns)
% Calculate the magnitude response of beta and the phase response of alpha
% from a template polynomial Bc,
% Ns is the number of sampling points of the magnitude response
%

% calculate the desired magnitude of beta
Bc = Bc(:);
N = length(Bc);
% zero-padding to calculate the frequency response of the filter
% correspondting to the B polynomial
Bc_zp = zeros(Ns,1);
Bc_zp((Ns/2-(N-1)/2+1):(Ns/2+(N-1)/2 +1)) = Bc;
b = fftshift(fft(fftshift(Bc_zp))); % fftshift correct the linear phase of B polynomial

% calculate the desired phase of B polynomial
aMag = sqrt(1-abs(b).^2);
aPh = -imag(hilbert(log(aMag)));
a = aMag.*exp(1i*aPh);
