function [ a,b ] = cs2ab( C,S )
% Given an RF pulse calculate the corresponding A,B polynomial
Nsz = size(C,1);
Nx = size(C,2);

for indz = 1:Nsz
    a0 = C(indz,1);
    b0 = S(indz,1);
    for indx = 2:Nx
        a0 = [a0,0];
        b0 = [0,b0];
        a1 = C(indz,indx)*a0 - conj(S(indz,indx))*b0;
        b1 = S(indz,indx)*a0 + conj(C(indz,indx))*b0;
        a0 = a1;
        b0 = b1;
    end
    a(indz,:) = a0;
    b(indz,:) = b0;
end

end

