function [ Wp,Ws ] = delta2w( deltap,deltas,phaseType)
% Calculate the weighting of the passband and the stopband given the
% desired ripple and the phase type
% Chao Ma, July, 2012
%

if nargin < 3
    phaseType = 'linear';
end
% adjust deltap and deltas according to phaseType
switch phaseType
    case{'linear','linearphase'}
        deltap2 = deltap;
        deltas2 = deltas;
    case{'min','minphase','max','maxphase'}
%         deltap2 = deltap*2;
%         deltas2 = deltas^2/2;
        deltap2 = 4*deltap/(2+2*deltap^2-deltas^2);
        deltas2 = deltas^2/(2+2*deltap^2-deltas^2);
    otherwise
        deltap2 = deltap;
        deltas2 = deltas;
end

% Ws and Wp
if deltap2 < deltas2
    Ws = 1;
    Wp = deltas2/deltap2;
else
    Ws = deltap2/deltas2;
    Wp = 1;
end

end

