function [deltap,deltas] = erp2rp(deltape,deltase,pulseType)
% Calcuate the ripple of the passband and stopband from effetive ripple for
% diffierent pulse type

switch pulseType
    case 'sta'          % small tip angle
        deltap = deltape/2;
        deltas = deltase/(1+deltap);
    case 'ex'           % pi/2 excitation pulse
        deltap = sqrt(deltape/2)/2;
        deltas = deltase/sqrt(2)/(1+deltap);
    case 'saturation'   % pi/2 saturation pulse
        deltap = deltape/2/2;
        deltas = sqrt(deltase)/(1+deltap);
    case {'inversion','inv'}    % pi inversion pulse
        deltap = deltape/8/2;
        deltas = sqrt(deltase/2)/(1+deltap);
    case {'refocus', 'refocusing'}      % pi refocusing pulse
        deltap = deltape/4/2;
        deltas = sqrt(deltase)/(1+deltap);
    otherwise             % default small tip angle
        deltap = deltape/2;
        deltas = deltase/(1+deltap);
end