function [deltap,deltas] = erp2rp1d(deltape,deltase,pulseType)
% Calcuate the ripple of the passband and stopband from effetive ripple for
% diffierent pulse type, 1D

switch pulseType
    case 'sta'          % small tip angle
        deltap = deltape;
        deltas = deltase;
    case 'ex'           % pi/2 excitation pulse
        deltap = sqrt(deltape/2);
        deltas = deltase/sqrt(2);
    case 'saturation'   % pi/2 saturation pulse
        deltap = deltape/2;
        deltas = sqrt(deltase);
    case 'inversion'    % pi inversion pulse
        deltap = deltape/8;
        deltas = sqrt(deltase/2);
    case {'refocus', 'refocusing'}      % pi refocusing pulse
        deltap = deltape/4;
        deltas = sqrt(deltase);
    otherwise             % default small tip angle
        deltap = deltape;
        deltas = deltase;
end