function genMdslrRf(rf,dt,fname)
% generate a multidimensional RF waveform
% Chao
%

if nargin < 2
    dt = 10*1e-6;
end
if nargin < 3
    fname = 'ZPL_chao_mdslr_rfmagph.rf';
end

debug_on = 0;

% oversampling factor
Nos = round(dt/10e-6);

% generate waveform
rfNormalized = rf./max(abs(rf(:)));
rfMagnNormalized = abs(rfNormalized(:));
temp = (angle(rf(:)) + pi)/pi;
temp = abs(temp);
if max(temp(:)) > 2
    rfPhNormalized = temp./max(temp(:))*2;
else
    rfPhNormalized = temp;
end
rfMagnNormalizedOs = reshape(repmat(reshape(rfMagnNormalized,1,[]),[Nos,1]),[],1);
rfPhNormalizedOs = reshape(repmat(reshape(rfPhNormalized,1,[]),[Nos,1]),[],1);
Nt = length(rfMagnNormalizedOs);

% write the waveform
fid = fopen(fname,'w');
fwrite(fid,Nt,'int');
fwrite(fid,rfMagnNormalizedOs,'float');
fwrite(fid,rfPhNormalizedOs,'float');
fclose(fid);

if(debug_on)
    figure;
    plot(rfMagnNormalizedOs);
    figure;
    plot(rfPhNormalizedOs);
end
end