function [ A,B ] = rf2ab( rf,gammabar,dt )
% Given an RF pulse calculate the corresponding A,B polynomial
N = length(rf);
C = cos(gammabar*2*pi*abs(rf)*dt/2);
S = 1i*exp(1i*angle(rf)).*sin(gammabar*2*pi*abs(rf)*dt/2);

A0 = C(1);
B0 = S(1);
for ind = 2:N
    A0 = [A0,0];
    B0 = [0,B0];
    A = C(ind)*A0 - conj(S(ind))*B0;
    B = S(ind)*A0 + conj(C(ind))*B0;
    A0 = A;
    B0 = B;
end

end

