function [aXZ,bXZ] = sub_abc2ab(AxcZ,BxcZ,Nsx,Lx)
% Calculate the alpha (aXZ) and beta (bXZ) from the A and B polynomial
% coefficients AcxZ and BcxZ
%
Nsz = size(AxcZ,1);
Nx = size(AxcZ,2);
aXZ = zeros(Nsz,Nsx);
bXZ = zeros(Nsz,Nsx);

x = -Lx/2:(Lx/Nsx):(Lx/2-Lx/Nsx);
x = x(:);
A = zeros(Nsx,Nx);
for indx = 1:Nx
    A(:,indx) = exp(-1i*(2*pi*(indx-1)/Lx).*x);
end

for indz = 1:Nsz
    temp = exp(1i*(2*pi*(Nx)/2/Lx).*x).*(A*reshape(AxcZ(indz,:),Nx,1));
    aXZ(indz,:) = reshape(temp,1,Nsx);
    temp = exp(1i*(2*pi*(Nx)/2/Lx).*x).*(A*reshape(BxcZ(indz,:),Nx,1));
    bXZ(indz,:) = reshape(temp,1,Nsx);
end