function [ AdeltapeP,AdeltapeN,Adeltase1,Adeltase2,APMax,APMin,APAvg] = sub_ripple( mxy, mz, fa, ...
    pulseType, indPassBand, indStopBand1,indStopBand2)
% Calculate ripple level

switch pulseType
    case {'sta','ex'}
        AdeltapeP = max(reshape((abs(mxy(indPassBand))-sin(fa)),[],1))/sin(fa);
        AdeltapeN = max(reshape((sin(fa)-abs(mxy(indPassBand))),[],1))/sin(fa);
        Adeltase1 = max(reshape(abs(mxy(indStopBand1)),[],1))/sin(fa);
        Adeltase2 = max(reshape(abs(mxy(indStopBand2)),[],1))/sin(fa);
        APMax = max(reshape(abs(mxy(indPassBand)),[],1))/sin(fa);
        APMin = min(reshape(abs(mxy(indPassBand)),[],1))/sin(fa);
        APAvg = (APMax+APMin)/2;
    case 'saturation'
        AdeltapeP = max(reshape((mz(indPassBand)),[],1));
        AdeltapeN = abs(min(reshape((mz(indPassBand)),[],1)));
        Adeltase1 = max(reshape(abs(mz(indStopBand1)-1),[],1));
        Adeltase2 = max(reshape(abs(mz(indStopBand2)-1),[],1));
    case {'inversion','inv'}
        AdeltapeP = min(reshape((mz(indPassBand)+1),[],1));
        AdeltapeN = max(reshape((mz(indPassBand)+1),[],1));
        Adeltase1 = max(reshape(abs(mz(indStopBand1)-1),[],1));
        Adeltase2 = max(reshape(abs(mz(indStopBand2)-1),[],1));
    case {'refocus','refocusing'}
        AdeltapeP = max(reshape((abs(mxy(indPassBand))-1),[],1));
        AdeltapeN = max(reshape((1-abs(mxy(indPassBand))),[],1));
        Adeltase1 = max(reshape(abs(mxy(indStopBand1)),[],1));
        Adeltase2 = max(reshape(abs(mxy(indStopBand2)),[],1));
    otherwise
        AdeltapeP = max(reshape((abs(mxy(indPassBand))-sin(fa)),[],1))/sin(fa);
        AdeltapeN = max(reshape((sin(fa)-abs(mxy(indPassBand))),[],1))/sin(fa);
        Adeltase1 = max(reshape(abs(mxy(indStopBand1)),[],1))/sin(fa);
        Adeltase2 = max(reshape(abs(mxy(indStopBand2)),[],1))/sin(fa);
end
end

